<?php
$action = 'list';
include_once 'adv_common.php';
if($user->getAccess($dbconnection,"esia_device") == 1)
{ 
	if($action == "getHost")
	{
		try
		{
			$syslog = Model_syslog::instanceSyslogServer($dbconnection,$_GET['syslogid']);
			$json = $syslog->getHosts(SyslogServer::OUTPUT_JSON);
			echo $json;
			exit(0);
		}
		catch(Exception $ex)
		{
			$ERRORS[] = array('name' => 'HTTP error' ,'message' => $ex->getMessage());
			$smarty->assign('ERRORS',$ERRORS);
		}
	}
	elseif($action == "update")
	{
		//On n'oublie surtout pas de vérifier si l'utilisateur connecté à bien les droits avant toute choses.
		$adv_config_id = $_REQUEST['id'];
		$node_id = $_REQUEST['node'];
		try
		{
			if(isset($_POST['syslog_host']) && !empty($_POST['syslog_host']))
			{
				$array = array('host' => $_POST['syslog_host'],'syslog-server' => $_POST['syslog_srv'],'during_alert' => $_POST['syslog_during']);
				Model_adm::updateAdvanceNodeConfig($dbconnection,$adv_config_id,json_encode($array));
				$ADM_MESSAGE[] = array('message' => $lang['SYSLOG_UPDATE_SUCCESS']);
				$smarty->assign('ADM_MESSAGE',$ADM_MESSAGE);
			}
			$setting = Model_adm::getAdvanceNodeConfig($dbconnection,NULL,$adv_config_id)[0];
			$listserver = Model_esia::getNodebyType($dbconnection,$user->getId(),'Syslog Server'); 
			$list = array();
			foreach($listserver as $srv)
			{
				$list[] = array('id' => $srv->getId(),'name' => $srv->getName());
			}
			if(!empty($setting['parameter']))
			{
				$smarty->assign('idserver',$setting['parameter']['syslog-server']);
				$smarty->assign('host',$setting['parameter']['host']);
				if(!empty($setting['parameter']['during_alert']))
				{
					$smarty->assign('alert',$setting['parameter']['during_alert']);
				}
				else
				{
					$smarty->assign('alert',5);
				}
			}
			$smarty->assign('syslogserver',$list);
			//Le reste de mon code ici
			$smarty->assign('node',$node_id);
			$smarty->assign('adv_id',$adv_config_id);
			$smarty->assign('url',$setting['controller']);
			$smarty->display($template_path.'/adv_syslog.html');
		}
		catch(Exception $ex)
		{
			$ERRORS[] = array('name' => 'DB error' ,'message' => $ex->getMessage());
			$smarty->assign('ERRORS',$ERRORS);
		}
	}
}
?>
