INSERT INTO esia_web_plugin(web_id, web_name, web_dir_lang, web_page_control, web_activate, web_plugin_apache_path) VALUES (DEFAULT,'Syslog','lang/','control_syslog.php?nodeid=:id','true', '/plugin/syslog/');
INSERT INTO esia_device_type(type_id, type_name, type_web_id) VALUES (DEFAULT,'Syslog Server',(SELECT web_id FROM esia_web_plugin WHERE web_name='Syslog'));

INSERT INTO esia_privileges(privilege_id, privilege_name, privilege_site, privilege_description) VALUES (DEFAULT,'syslog_configuration',0,'Accès à la configuration du serveur syslog');
INSERT INTO esia_privilege_grantedto(grant_group_id, grant_privilege_id, grant_acces) VALUES ((select group_id FROM esia_groups WHERE group_name='root'),(SELECT privilege_id FROM esia_privileges WHERE privilege_name='syslog_configuration'), 1);



INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'SYSLOG_TRAP_DEFAULT', '/usr/local/esia/plugins/syslog_trap_default.php','syslog',NULL,'plugin de capture des messages syslogs','7',NULL,'SYSLOG','SYSLOG,TRAP,DEFAULT');


INSERT INTO esia_device_advance_config_type(device_config_type_id, device_config_type_name, device_config_type_controller, device_config_type_default_parameter,device_config_type_nodetab)
	VALUES (DEFAULT,'SYSLOG','/plugin/syslog/adv_syslog.php',NULL,'/plugin/syslog/adv_tab_syslog.php?nodeid=:id&tab=log');

INSERT INTO esia_device_advance_config_type(device_config_type_id, device_config_type_name, device_config_type_controller, device_config_type_default_parameter,device_config_type_webplugin_id)
	VALUES (DEFAULT,'SYSLOG_URL','adv_syslog_url.php',NULL,(SELECT web_id FROM esia_web_plugin WHERE web_name='Syslog'));


INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'MAN_SYSLOG_AUTO_LINK', '/usr/local/esia/plugins/man_syslog_auto_link.php','default','-n $NODEID','plugin de liaison automatique avec les noeuds ESIA','7','ESIA','SYSLOG','SYSLOG,ESIA,AUTO,CONFIGURE');
INSERT INTO rrd_plugins(rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='MAN_SYSLOG_AUTO_LINK'),'GAUGE','#insert=([0-9\.]*)#',300,DEFAULT,'insert',0,-1,'number','LINE01','#40FF00');

INSERT INTO rrd_plugins(rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='MAN_SYSLOG_AUTO_LINK'),'GAUGE','#nofound=([0-9\.]*)#',300,DEFAULT,'nolinked',0,-1,'number','LINE01','#58ACFA');




INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'CHECK_SYSLOG_AUTO_LINK', '/usr/local/esia/plugins/check_syslog_hostname.php','default','-n $NODEID','plugin de liaison automatique avec les noeuds ESIA','7','ESIA','SYSLOG','SYSLOG,ESIA,AUTO,CONFIGURE');
INSERT INTO rrd_plugins(rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SYSLOG_AUTO_LINK'),'GAUGE','#notlinked=([0-9\.]*)#',300,DEFAULT,'notlinked',0,-1,'number','LINE01','#40FF00');

INSERT INTO rrd_plugins(rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SYSLOG_AUTO_LINK'),'GAUGE','#exclude=([0-9\.]*)#',300,DEFAULT,'exclude',0,-1,'number','LINE01','#58ACFA');
